@charset "UTF-8";
/* guide-tecnical CSS */
.sec-techinfo{
    container-type: inline-size;
    container-name: techinfo;
}

.tech-category{
    gap: 10px;
}
.tech-category>li{
    text-align: center;
    width: calc(25% - 7.5px);
}
.tech-category > li a{
    display: block;
    width: 100%;
    background-color: var(--bg-card);
    transition: all 0.3s ease;
}

.tech-category > li a,
.tech-category .thispage{
    padding: 10px 0;
    border-radius: 5px;
    border: 1px solid var(--color-main);
}

.tech-category .thispage{
    background-color: #fff6d0;
}

.info-area{
    gap: 20px;
    padding-bottom: 40px;
}
.info-area:last-of-type{
    padding-bottom: 0;
}
.info-area .info-txt{
    flex: 1;
}
.info-area .info-img{
    width: 300px;
    height: fit-content;
}

.info-img a{
    display: block;
    overflow: hidden;
    border: 1px solid var(--color-border);
    border-radius: 5px;
    position: relative;
}
.info-img a::before{
    content: "+";
    display: block;
    width: 50px;
    height: 50px;
    border-radius: 0 0 5px 0;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.3);
    text-align: center;
    font-size: 40px;
    line-height: 1;
    position: absolute;
    right: 1px;
    bottom: 1px;
    transition: all 0.3s ease;
    z-index: 1;
}

.info-img a img{
    transition: all 0.3s ease;
}

.info-list>li{
    padding-left: 8px;
    margin-bottom: 5px;
    position: relative;
}
.info-list>li:last-of-type{
    margin-bottom: 0;
}
.info-list>li::before{
    content: "";
    display: block;
    background-color: var(--text-main);
    width: 3px;
    height: 3px;
    border-radius: 50%;
    position: absolute;
    top: calc(1.75em / 2);
    left: 0;
    transform: translateY(-50%);
}


@media (min-width: 768px) {
    .tech-category>li>a:hover{
        background-color: #fff6d0;
    }

    .info-img a:hover img{
        transform: scale(1.05);
    }
}

@container techinfo (max-width: 800px){
    .tech-category>li{
        width: calc(33.3333% - 6.6666px);
    }
}

@container techinfo (max-width: 700px){
    .info-area{
        border-bottom: 1px solid var(--color-border);
        margin-bottom: 30px;
    }
    .info-area:last-of-type{
        border-bottom: none;
        margin-bottom: 0;
    }
    .info-area .info-txt {
        flex: auto;
        width: 100%;
    }
    .info-area .info-img {
        width: 400px;
        margin: 0 auto;
    }
}

@container techinfo (max-width: 570px){
    .tech-category>li{
        width: calc(50% - 5px);
    }
}

@container techinfo (max-width: 400px){
    .tech-category>li{
        font-size: 90%;
    }
}

/* screenshot */
.subinfo-area {
    background-color: var(--bg-page);
    padding: 30px;
}

.subinfo-ttl{
    padding-bottom: 5px;
    border-bottom: 1px solid var(--color-border);
    margin-bottom: 10px;
}

.subinfo{
    gap: 15px;
}
.subinfo-img{
    max-width: 240px;
}
.subinfo-txt{
    flex: 1;
}

@container techinfo (max-width: 620px){
    .subinfo-img {
        max-width: 180px;
    }
}

@container techinfo (max-width: 570px){
    .subinfo-area {
        padding: 20px;
    }
    .subinfo-img {
        max-width: 240px;
    }
    .subinfo-txt {
        flex: auto;
    }
}


/* 個別 */
/* ロゴトレースについて------------------------- */
.logo-trace-info{
    gap: 30px;
}

.logo-trace-info .info-box{
    width: calc(50% - 15px);
    padding: 20px;
    border-radius: 5px;
    position: relative;
}
.logo-trace-info .info-box.possible{
    border: 3px solid var(--color-sub);
}
.logo-trace-info .info-box.possible::before{
    content: "";
    display: block;
    width: 150px;
    height: 150px;
    border: 18px solid var(--color-sub);
    border-radius: 100%;
    opacity: 0.1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50% , -50%);
}
.logo-trace-info .info-box.impossible{
    border: 3px solid var(--color-sub3);
}
.logo-trace-info .info-box.impossible::before{
    content: "";
    display: block;
    width: 150px;
    height: 150px;
    background-color: var(--color-sub3);
    clip-path: polygon(
        10% 0%,
        0% 10%,
        40% 50%,
        0% 90%,
        10% 100%,
        50% 60%,
        90% 100%,
        100% 90%,
        60% 50%,
        100% 10%,
        90% 0%,
        50% 40%
    );
    opacity: 0.1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50% , -50%);
}

.logo-trace-info .info-box>*{
    width: fit-content;
    margin: 0 auto;
}

.logo-trace-info .feature-list>li{
    line-height: 1.4;
    padding-left: 10px;
    padding-bottom: 10px;
    position: relative;
}
.logo-trace-info .feature-list>li:last-of-type{
    padding-bottom: 0;
}
.logo-trace-info .feature-list>li::before{
    content: "";
    display: block;
    width: 5px;
    height: 5px;
    border-radius: 10px;
    background-color: var(--text-main);
    position: absolute;
    top: 0.7em;
    left: 0;
    transform: translateY(-50%);
}

.impossible-example{
    background-color: #daf0fb;
    padding: 20px;
    border-radius: 5px;
}

.impossible-example-list{
    gap: 10px;
}
.impossible-example-list>li{
    width: calc(25% - 7.5px);
    display: flex;
    flex-direction: column;
    position: relative;
}

.impossible-example-list .example-img{
    background-color: #fff;
}
.impossible-example-list .example-img img{
    display: block;
    margin: 0 auto;
}
.impossible-example-list .example-txt{
    display: flex;
    align-items: center;
    background-color: #fff;
    line-height: 1.3;
    flex: 1;
}
.impossible-example-list .example-txt-inner{
    display: block;
    width: fit-content;
    margin: 0 auto;
    padding: 10px 5px 10px 40px;
    position: relative;
}
.impossible-example-list .example-txt-inner::before {
    content: "";
    display: block;
    width: 20px;
    height: 20px;
    background-color: var(--color-sub3);
    clip-path: polygon(10% 0%, 0% 10%, 40% 50%, 0% 90%, 10% 100%, 50% 60%, 90% 100%, 100% 90%, 60% 50%, 100% 10%, 90% 0%, 50% 40%);
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
}

@container techinfo (max-width: 750px){
    .impossible-example-list>li {
        width: calc(50% - 5px);
    }
}

@container techinfo (max-width: 630px){
    .logo-trace-info {
        gap: 20px;
    }
    .logo-trace-info .info-box {
        width: 100%;
    }
}

@container techinfo (max-width: 450px){
    .impossible-example {
        padding: 20px 10px;
    }
    .impossible-example-list {
        gap: 5px;
    }
    .impossible-example-list>li {
        width: calc(50% - 2.5px);
    }
}